@import "../../assets/variables";

.modal {
  $root: &;
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  display: flex;
  align-items: center;

  transition: .25s ease;
  transition-property: opacity, visibility, background-color;
  will-change: opacity, visibility, background-color;

  &:not(&--active) {
    opacity: 0;
    visibility: hidden;

    #{$root} {
      &__dialog {
        transform: translateY(-30px);
        opacity: 0;
        transition-delay: 0s;
      }
    }
  }

  &--active {
    opacity: 1;
    visibility: visible;
    background-color: transparentize($color-dark, .5);

    #{$root} {
      &__dialog {
      }
    }
  }

  &__dialog {
    margin: auto;
    max-width: 536px;
    transition: .25s ease .25s;
    transition-property: opacity, transform;
    will-change: transform, opacity;
  }

  &__header {
    background: $color-shadow;
    color: $color-light;
    font-size: 12px;
    display: flex;
    align-items: center;
    margin: -18px -16px 0 -18px;
    border-radius: 4px 4px 0 0;
    height: 40px;
    padding: 0 15px 0 22px;
  }

  &__close {
    margin-left: auto;
    cursor: pointer;
  }

  &__body {
    padding: 30px 0 16px;
  }
}